Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.ilbm
Class ILBMImageReaderSpi

    java.lang.Object
      javax.imageio.spi.IIOServiceProvider
          javax.imageio.spi.ImageReaderWriterSpi
              javax.imageio.spi.ImageReaderSpi
                  org.monte.media.ilbm.ILBMImageReaderSpi

All Implemented Interfaces:
  javax.imageio.spi.RegisterableService

    public class ILBMImageReaderSpi

extends javax.imageio.spi.ImageReaderSpi

ImageIO service provider interface for images in the Amiga IFF Interleaved Bitmap image format (ILBM).

Version:
  1.0 2009-12-17 Created.
Author:
  Werner Randelshofer

Field Summary
`protected static int` | `CAT_ID`
`protected static int` | `FORM_ID`
`protected static int` | `ILBM_ID`
`protected static int` | `LIST_ID`

Fields inherited from class javax.imageio.spi.ImageReaderSpi
`inputTypes, STANDARD_INPUT_TYPE, writerSpiNames`

Fields inherited from class javax.imageio.spi.ImageReaderWriterSpi
`extraImageMetadataFormatClassNames, extraImageMetadataFormatNames, extraStreamMetadataFormatClassNames, extraStreamMetadataFormatNames, MIMETypes, names, nativeImageMetadataFormatClassName, nativeImageMetadataFormatName, nativeStreamMetadataFormatClassName, nativeStreamMetadataFormatName, pluginClassName, suffixes, supportsStandardImageMetadataFormat, supportsStandardStreamMetadataFormat`

Fields inherited from class javax.imageio.spi.IIOServiceProvider
`vendorName, version`

Constructor Summary
`ILBMImageReaderSpi()`

Method Summary
`boolean` | `canDecodeInput(java.lang.Object source)`
`javax.imageio.ImageReader` | `createReaderInstance(java.lang.Object extension)`
`java.lang.String` | `getDescription(java.util.Locale locale)`

Methods inherited from class javax.imageio.spi.ImageReaderSpi
`createReaderInstance, getImageWriterSpiNames, getInputTypes, isOwnReader`

Methods inherited from class javax.imageio.spi.ImageReaderWriterSpi
`getExtraImageMetadataFormatNames, getExtraStreamMetadataFormatNames, getFileSuffixes, getFormatNames, getImageMetadataFormat, getMIMETypes, getNativeImageMetadataFormatName, getNativeStreamMetadataFormatName, getPluginClassName, getStreamMetadataFormat, isStandardImageMetadataFormatSupported, isStandardStreamMetadataFormatSupported`

Methods inherited from class javax.imageio.spi.IIOServiceProvider
`getVendorName, getVersion, onDeregistration, onRegistration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORM_ID

    protected static final int FORM_ID

### CAT_ID

    protected static final int CAT_ID

### LIST_ID

    protected static final int LIST_ID

### ILBM_ID

    protected static final int ILBM_ID

Constructor Detail

### ILBMImageReaderSpi

    public ILBMImageReaderSpi()

Method Detail

### canDecodeInput

    public boolean canDecodeInput(java.lang.Object source)
                           throws java.io.IOException

  Specified by:
    `canDecodeInput` in class `javax.imageio.spi.ImageReaderSpi`
  Throws:
    `java.io.IOException`

### createReaderInstance

    public javax.imageio.ImageReader createReaderInstance(java.lang.Object extension)
                                                   throws java.io.IOException

  Specified by:
    `createReaderInstance` in class `javax.imageio.spi.ImageReaderSpi`
  Throws:
    `java.io.IOException`

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in class `javax.imageio.spi.IIOServiceProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD